Anaconda Enterprise: Documentation

# Getting started

Running the `adam` command shows the options and subcommands that you can use:

    $ adam
    Usage: adam [OPTIONS] COMMAND [ARGS]...

    Options:
      --version                   Show the version and exit.
      -l, --log-level [info|debug|error]
                                  Logging level  [default: debug]
      -h, --help                  Show this message and exit.

    Commands:
      cmd                   Execute a command on the nodes
      describe              Describe an Adam cluster or profile
      ec2                   EC2 options
      enterprise-notebooks  Anaconda Enterprise Notebooks options
      info                  Display Adam version, system, and
                              license information
      list                  List Adam clusters and profiles
      provision             Provision options
      remove                Remove a cluster
      repository            Anaconda Repository options
      salt                  Execute a Salt module
      scale                 Anaconda Scale options
      ssh                   SSH to one of the nodes
                              (0-based index)
      up                    Create a cluster from a profile

To see more information about a subcommand, add the `-h` or `--help` option after the subcommand.

EXAMPLE: `adam up --help`.

For details on using the various subcommands, see Tasks.

For information on installing Adam, creating a cluster, and installing and managing platform components, see the installation guide.